/*
 * Secure X Message Passing Library v2 implementation.
 * (sxmplv2) it superseed all versions before due to the:
 * - memory consumption
 * - new features such as pulse emitting
 * - performance optimization
 *
 * This is a proprietary software. See COPYING for further details.
 *
 * (c) Askele Group 2013-2015 <http://askele.com>
 *
 */

#ifndef __SXMP_ERRNO_H__
#define	__SXMP_ERRNO_H__

#define __SXMP_EPREFIX  200

#define SXE_SUCCESS      200
#define SXE_FAILED       201
#define SXE_ENOMEM       202
#define SXE_BADPROTO     203
#define SXE_ENORPC       204
#define SXE_EPERM        205
#define SXE_TOOLONG      206
#define SXE_EBUSY        207
#define SXE_WOULDBLOCK   208
#define SXE_LINKERROR    209
#define SXE_NOSUCHMSG    210
#define SXE_NOSUCHCHAN   211
#define SXE_ETIMEDOUT    212
#define SXE_IGNORED      213
#define SXE_REPLYREQ     214
#define SXE_RAPIDMSG     215
#define SXE_ESSL         216
#define SXE_NOCHANNELS   217
#define SXE_MCHANNELS    218
#define SXE_MMESSAGES    219
#define SXE_LINKBROKEN   220
#define SXE_INVALINDEX   221

const char *sxmpl_errno2cstr(int);

#endif /* __SXMP_ERRNO_H__ */

